> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cartesia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Voice



## OpenAPI

````yaml 2024-06-10/api.yml PATCH /voices/{id}
openapi: 3.0.1
info:
  title: Cartesia API
  version: '2024-06-10'
servers:
  - url: https://api.cartesia.ai
    description: Production
security: []
paths:
  /voices/{id}:
    patch:
      tags:
        - Voices
      summary: Update Voice
      operationId: voices_update
      parameters:
        - name: id
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/VoiceId'
        - $ref: '#/components/parameters/CartesiaVersionHeader'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateVoiceRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Voice'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    VoiceId:
      title: VoiceId
      type: string
      description: The ID of the voice.
    UpdateVoiceRequest:
      title: UpdateVoiceRequest
      type: object
      properties:
        name:
          type: string
          description: The name of the voice.
        description:
          type: string
          description: The description of the voice.
    Voice:
      title: Voice
      type: object
      properties:
        id:
          $ref: '#/components/schemas/VoiceId'
        user_id:
          type: string
          nullable: true
          description: The ID of the user who owns the voice.
        is_public:
          type: boolean
          description: Whether the voice is publicly accessible.
        name:
          type: string
          description: The name of the voice.
        description:
          type: string
          description: The description of the voice.
        created_at:
          type: string
          format: date-time
          description: The date and time the voice was created.
        embedding:
          $ref: '#/components/schemas/Embedding'
        language:
          $ref: '#/components/schemas/VoiceLanguage'
        country:
          $ref: '#/components/schemas/VoiceCountry'
          nullable: true
      required:
        - id
        - is_public
        - name
        - description
        - created_at
        - embedding
        - language
    Embedding:
      title: Embedding
      type: array
      items:
        type: number
        format: double
      description: >-
        A 192-dimensional vector (i.e. a list of 192 numbers) that represents
        the voice.
    VoiceLanguage:
      type: string
      description: The voice's language, as an ISO 639-1 code (e.g. `en`, `fr`, `zh`)
      example: en
    VoiceCountry:
      title: VoiceCountry
      type: string
      description: >-
        The country associated with the voice, as an ISO 3166-1 alpha-2 code
        when available (e.g. `US`, `GB`, `FR`).
      example: US
  parameters:
    CartesiaVersionHeader:
      name: Cartesia-Version
      in: header
      description: API version header.
      required: true
      schema:
        type: string
        format: date
        example: '2024-06-10'
        enum:
          - '2024-06-10'
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````